Implementation of the 'selection' markup element. A HTML div element is used to create a selection containing multiple 'selectionItem' elements. Only one 'selectionItem' is visible. The user can either click on the left or right side of the visible 'selectionItem' to select one of the two options. If the click happened, the next 'selectionItem' will be showed. For CSS manipulations the following classes are added: lto-selection: the container lto-selection-left: click to choose the left option lto-selection-right: click to choose the right option lto-animation-left: is set when clicking lto-selection-left lto-animation-right: is set when clicking lto-selection-right

see

  IRenderable

see

  IStackeable

### Hierarchy

- Selection

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- animationDuration
- isPublished
- numOfBlocks
- selection
- spec
- values

### Methods

- publish
- render
- setFinished

## Constructors

### constructor

- new Selection(message: ISpecification): Selection

- - Defined in lib/renderable/selection/index.ts:30

  #### Parameters

  - ##### message: ISpecification

  #### Returns Selection

## Properties

### Private animationDuration

animationDuration: number = 300

- Defined in lib/renderable/selection/index.ts:30

### Private isPublished

isPublished: boolean = false

- Defined in lib/renderable/selection/index.ts:29

### Private numOfBlocks

numOfBlocks: number

- Defined in lib/renderable/selection/index.ts:27

### Private selection

selection: HTMLElement

- Defined in lib/renderable/selection/index.ts:25

### Private spec

spec: ISpecification

- Defined in lib/renderable/selection/index.ts:26

### Private values

values: Array<any> = []

- Defined in lib/renderable/selection/index.ts:28

## Methods

### publish

- publish(): void

- - Defined in lib/renderable/selection/index.ts:102

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/selection/index.ts:41

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Private setFinished

- setFinished(): void

- - Defined in lib/renderable/selection/index.ts:139

  #### Returns void

Generated using TypeDoc